from detectron2.data.datasets.register_coco import register_coco_instances
import os

categories = [
{'id': 1, 'name': 'Tortoise'}  ,
{'id': 2, 'name': 'Container'}  ,
{'id': 3, 'name': 'Magpie'}  ,
{'id': 4, 'name': 'Sea turtle'}  ,
{'id': 5, 'name': 'Football'}  ,
{'id': 6, 'name': 'Ambulance'}  ,
{'id': 7, 'name': 'Ladder'}  ,
{'id': 8, 'name': 'Toothbrush'}  ,
{'id': 9, 'name': 'Syringe'}  ,
{'id': 10, 'name': 'Sink'}  ,
{'id': 11, 'name': 'Toy'}  ,
{'id': 12, 'name': 'Organ (Musical Instrument)'}  ,
{'id': 13, 'name': 'Cassette deck'}  ,
{'id': 14, 'name': 'Apple'}  ,
{'id': 15, 'name': 'Human eye'}  ,
{'id': 16, 'name': 'Cosmetics'}  ,
{'id': 17, 'name': 'Paddle'}  ,
{'id': 18, 'name': 'Snowman'}  ,
{'id': 19, 'name': 'Beer'}  ,
{'id': 20, 'name': 'Chopsticks'}  ,
{'id': 21, 'name': 'Human beard'}  ,
{'id': 22, 'name': 'Bird'}  ,
{'id': 23, 'name': 'Parking meter'}  ,
{'id': 24, 'name': 'Traffic light'}  ,
{'id': 25, 'name': 'Croissant'}  ,
{'id': 26, 'name': 'Cucumber'}  ,
{'id': 27, 'name': 'Radish'}  ,
{'id': 28, 'name': 'Towel'}  ,
{'id': 29, 'name': 'Doll'}  ,
{'id': 30, 'name': 'Skull'}  ,
{'id': 31, 'name': 'Washing machine'}  ,
{'id': 32, 'name': 'Glove'}  ,
{'id': 33, 'name': 'Tick'}  ,
{'id': 34, 'name': 'Belt'}  ,
{'id': 35, 'name': 'Sunglasses'}  ,
{'id': 36, 'name': 'Banjo'}  ,
{'id': 37, 'name': 'Cart'}  ,
{'id': 38, 'name': 'Ball'}  ,
{'id': 39, 'name': 'Backpack'}  ,
{'id': 40, 'name': 'Bicycle'}  ,
{'id': 41, 'name': 'Home appliance'}  ,
{'id': 42, 'name': 'Centipede'}  ,
{'id': 43, 'name': 'Boat'}  ,
{'id': 44, 'name': 'Surfboard'}  ,
{'id': 45, 'name': 'Boot'}  ,
{'id': 46, 'name': 'Headphones'}  ,
{'id': 47, 'name': 'Hot dog'}  ,
{'id': 48, 'name': 'Shorts'}  ,
{'id': 49, 'name': 'Fast food'}  ,
{'id': 50, 'name': 'Bus'}  ,
{'id': 51, 'name': 'Boy'}  ,
{'id': 52, 'name': 'Screwdriver'}  ,
{'id': 53, 'name': 'Bicycle wheel'}  ,
{'id': 54, 'name': 'Barge'}  ,
{'id': 55, 'name': 'Laptop'}  ,
{'id': 56, 'name': 'Miniskirt'}  ,
{'id': 57, 'name': 'Drill (Tool)'}  ,
{'id': 58, 'name': 'Dress'}  ,
{'id': 59, 'name': 'Bear'}  ,
{'id': 60, 'name': 'Waffle'}  ,
{'id': 61, 'name': 'Pancake'}  ,
{'id': 62, 'name': 'Brown bear'}  ,
{'id': 63, 'name': 'Woodpecker'}  ,
{'id': 64, 'name': 'Blue jay'}  ,
{'id': 65, 'name': 'Pretzel'}  ,
{'id': 66, 'name': 'Bagel'}  ,
{'id': 67, 'name': 'Tower'}  ,
{'id': 68, 'name': 'Teapot'}  ,
{'id': 69, 'name': 'Person'}  ,
{'id': 70, 'name': 'Bow and arrow'}  ,
{'id': 71, 'name': 'Swimwear'}  ,
{'id': 72, 'name': 'Beehive'}  ,
{'id': 73, 'name': 'Brassiere'}  ,
{'id': 74, 'name': 'Bee'}  ,
{'id': 75, 'name': 'Bat (Animal)'}  ,
{'id': 76, 'name': 'Starfish'}  ,
{'id': 77, 'name': 'Popcorn'}  ,
{'id': 78, 'name': 'Burrito'}  ,
{'id': 79, 'name': 'Chainsaw'}  ,
{'id': 80, 'name': 'Balloon'}  ,
{'id': 81, 'name': 'Wrench'}  ,
{'id': 82, 'name': 'Tent'}  ,
{'id': 83, 'name': 'Vehicle registration plate'}  ,
{'id': 84, 'name': 'Lantern'}  ,
{'id': 85, 'name': 'Toaster'}  ,
{'id': 86, 'name': 'Flashlight'}  ,
{'id': 87, 'name': 'Billboard'}  ,
{'id': 88, 'name': 'Tiara'}  ,
{'id': 89, 'name': 'Limousine'}  ,
{'id': 90, 'name': 'Necklace'}  ,
{'id': 91, 'name': 'Carnivore'}  ,
{'id': 92, 'name': 'Scissors'}  ,
{'id': 93, 'name': 'Stairs'}  ,
{'id': 94, 'name': 'Computer keyboard'}  ,
{'id': 95, 'name': 'Printer'}  ,
{'id': 96, 'name': 'Traffic sign'}  ,
{'id': 97, 'name': 'Chair'}  ,
{'id': 98, 'name': 'Shirt'}  ,
{'id': 99, 'name': 'Poster'}  ,
{'id': 100, 'name': 'Cheese'}  ,
{'id': 101, 'name': 'Sock'}  ,
{'id': 102, 'name': 'Fire hydrant'}  ,
{'id': 103, 'name': 'Land vehicle'}  ,
{'id': 104, 'name': 'Earrings'}  ,
{'id': 105, 'name': 'Tie'}  ,
{'id': 106, 'name': 'Watercraft'}  ,
{'id': 107, 'name': 'Cabinetry'}  ,
{'id': 108, 'name': 'Suitcase'}  ,
{'id': 109, 'name': 'Muffin'}  ,
{'id': 110, 'name': 'Bidet'}  ,
{'id': 111, 'name': 'Snack'}  ,
{'id': 112, 'name': 'Snowmobile'}  ,
{'id': 113, 'name': 'Clock'}  ,
{'id': 114, 'name': 'Medical equipment'}  ,
{'id': 115, 'name': 'Cattle'}  ,
{'id': 116, 'name': 'Cello'}  ,
{'id': 117, 'name': 'Jet ski'}  ,
{'id': 118, 'name': 'Camel'}  ,
{'id': 119, 'name': 'Coat'}  ,
{'id': 120, 'name': 'Suit'}  ,
{'id': 121, 'name': 'Desk'}  ,
{'id': 122, 'name': 'Cat'}  ,
{'id': 123, 'name': 'Bronze sculpture'}  ,
{'id': 124, 'name': 'Juice'}  ,
{'id': 125, 'name': 'Gondola'}  ,
{'id': 126, 'name': 'Beetle'}  ,
{'id': 127, 'name': 'Cannon'}  ,
{'id': 128, 'name': 'Computer mouse'}  ,
{'id': 129, 'name': 'Cookie'}  ,
{'id': 130, 'name': 'Office building'}  ,
{'id': 131, 'name': 'Fountain'}  ,
{'id': 132, 'name': 'Coin'}  ,
{'id': 133, 'name': 'Calculator'}  ,
{'id': 134, 'name': 'Cocktail'}  ,
{'id': 135, 'name': 'Computer monitor'}  ,
{'id': 136, 'name': 'Box'}  ,
{'id': 137, 'name': 'Stapler'}  ,
{'id': 138, 'name': 'Christmas tree'}  ,
{'id': 139, 'name': 'Cowboy hat'}  ,
{'id': 140, 'name': 'Hiking equipment'}  ,
{'id': 141, 'name': 'Studio couch'}  ,
{'id': 142, 'name': 'Drum'}  ,
{'id': 143, 'name': 'Dessert'}  ,
{'id': 144, 'name': 'Wine rack'}  ,
{'id': 145, 'name': 'Drink'}  ,
{'id': 146, 'name': 'Zucchini'}  ,
{'id': 147, 'name': 'Ladle'}  ,
{'id': 148, 'name': 'Human mouth'}  ,
{'id': 149, 'name': 'Dairy Product'}  ,
{'id': 150, 'name': 'Dice'}  ,
{'id': 151, 'name': 'Oven'}  ,
{'id': 152, 'name': 'Dinosaur'}  ,
{'id': 153, 'name': 'Ratchet (Device)'}  ,
{'id': 154, 'name': 'Couch'}  ,
{'id': 155, 'name': 'Cricket ball'}  ,
{'id': 156, 'name': 'Winter melon'}  ,
{'id': 157, 'name': 'Spatula'}  ,
{'id': 158, 'name': 'Whiteboard'}  ,
{'id': 159, 'name': 'Pencil sharpener'}  ,
{'id': 160, 'name': 'Door'}  ,
{'id': 161, 'name': 'Hat'}  ,
{'id': 162, 'name': 'Shower'}  ,
{'id': 163, 'name': 'Eraser'}  ,
{'id': 164, 'name': 'Fedora'}  ,
{'id': 165, 'name': 'Guacamole'}  ,
{'id': 166, 'name': 'Dagger'}  ,
{'id': 167, 'name': 'Scarf'}  ,
{'id': 168, 'name': 'Dolphin'}  ,
{'id': 169, 'name': 'Sombrero'}  ,
{'id': 170, 'name': 'Tin can'}  ,
{'id': 171, 'name': 'Mug'}  ,
{'id': 172, 'name': 'Tap'}  ,
{'id': 173, 'name': 'Harbor seal'}  ,
{'id': 174, 'name': 'Stretcher'}  ,
{'id': 175, 'name': 'Can opener'}  ,
{'id': 176, 'name': 'Goggles'}  ,
{'id': 177, 'name': 'Human body'}  ,
{'id': 178, 'name': 'Roller skates'}  ,
{'id': 179, 'name': 'Coffee cup'}  ,
{'id': 180, 'name': 'Cutting board'}  ,
{'id': 181, 'name': 'Blender'}  ,
{'id': 182, 'name': 'Plumbing fixture'}  ,
{'id': 183, 'name': 'Stop sign'}  ,
{'id': 184, 'name': 'Office supplies'}  ,
{'id': 185, 'name': 'Volleyball (Ball)'}  ,
{'id': 186, 'name': 'Vase'}  ,
{'id': 187, 'name': 'Slow cooker'}  ,
{'id': 188, 'name': 'Wardrobe'}  ,
{'id': 189, 'name': 'Coffee'}  ,
{'id': 190, 'name': 'Whisk'}  ,
{'id': 191, 'name': 'Paper towel'}  ,
{'id': 192, 'name': 'Personal care'}  ,
{'id': 193, 'name': 'Food'}  ,
{'id': 194, 'name': 'Sun hat'}  ,
{'id': 195, 'name': 'Tree house'}  ,
{'id': 196, 'name': 'Flying disc'}  ,
{'id': 197, 'name': 'Skirt'}  ,
{'id': 198, 'name': 'Gas stove'}  ,
{'id': 199, 'name': 'Salt and pepper shakers'}  ,
{'id': 200, 'name': 'Mechanical fan'}  ,
{'id': 201, 'name': 'Face powder'}  ,
{'id': 202, 'name': 'Fax'}  ,
{'id': 203, 'name': 'Fruit'}  ,
{'id': 204, 'name': 'French fries'}  ,
{'id': 205, 'name': 'Nightstand'}  ,
{'id': 206, 'name': 'Barrel'}  ,
{'id': 207, 'name': 'Kite'}  ,
{'id': 208, 'name': 'Tart'}  ,
{'id': 209, 'name': 'Treadmill'}  ,
{'id': 210, 'name': 'Fox'}  ,
{'id': 211, 'name': 'Flag'}  ,
{'id': 212, 'name': 'French horn'}  ,
{'id': 213, 'name': 'Window blind'}  ,
{'id': 214, 'name': 'Human foot'}  ,
{'id': 215, 'name': 'Golf cart'}  ,
{'id': 216, 'name': 'Jacket'}  ,
{'id': 217, 'name': 'Egg (Food)'}  ,
{'id': 218, 'name': 'Street light'}  ,
{'id': 219, 'name': 'Guitar'}  ,
{'id': 220, 'name': 'Pillow'}  ,
{'id': 221, 'name': 'Human leg'}  ,
{'id': 222, 'name': 'Isopod'}  ,
{'id': 223, 'name': 'Grape'}  ,
{'id': 224, 'name': 'Human ear'}  ,
{'id': 225, 'name': 'Power plugs and sockets'}  ,
{'id': 226, 'name': 'Panda'}  ,
{'id': 227, 'name': 'Giraffe'}  ,
{'id': 228, 'name': 'Woman'}  ,
{'id': 229, 'name': 'Door handle'}  ,
{'id': 230, 'name': 'Rhinoceros'}  ,
{'id': 231, 'name': 'Bathtub'}  ,
{'id': 232, 'name': 'Goldfish'}  ,
{'id': 233, 'name': 'Houseplant'}  ,
{'id': 234, 'name': 'Goat'}  ,
{'id': 235, 'name': 'Baseball bat'}  ,
{'id': 236, 'name': 'Baseball glove'}  ,
{'id': 237, 'name': 'Mixing bowl'}  ,
{'id': 238, 'name': 'Marine invertebrates'}  ,
{'id': 239, 'name': 'Kitchen utensil'}  ,
{'id': 240, 'name': 'Light switch'}  ,
{'id': 241, 'name': 'House'}  ,
{'id': 242, 'name': 'Horse'}  ,
{'id': 243, 'name': 'Stationary bicycle'}  ,
{'id': 244, 'name': 'Hammer'}  ,
{'id': 245, 'name': 'Ceiling fan'}  ,
{'id': 246, 'name': 'Sofa bed'}  ,
{'id': 247, 'name': 'Adhesive tape'}  ,
{'id': 248, 'name': 'Harp'}  ,
{'id': 249, 'name': 'Sandal'}  ,
{'id': 250, 'name': 'Bicycle helmet'}  ,
{'id': 251, 'name': 'Saucer'}  ,
{'id': 252, 'name': 'Harpsichord'}  ,
{'id': 253, 'name': 'Human hair'}  ,
{'id': 254, 'name': 'Heater'}  ,
{'id': 255, 'name': 'Harmonica'}  ,
{'id': 256, 'name': 'Hamster'}  ,
{'id': 257, 'name': 'Curtain'}  ,
{'id': 258, 'name': 'Bed'}  ,
{'id': 259, 'name': 'Kettle'}  ,
{'id': 260, 'name': 'Fireplace'}  ,
{'id': 261, 'name': 'Scale'}  ,
{'id': 262, 'name': 'Drinking straw'}  ,
{'id': 263, 'name': 'Insect'}  ,
{'id': 264, 'name': 'Hair dryer'}  ,
{'id': 265, 'name': 'Kitchenware'}  ,
{'id': 266, 'name': 'Indoor rower'}  ,
{'id': 267, 'name': 'Invertebrate'}  ,
{'id': 268, 'name': 'Food processor'}  ,
{'id': 269, 'name': 'Bookcase'}  ,
{'id': 270, 'name': 'Refrigerator'}  ,
{'id': 271, 'name': 'Wood-burning stove'}  ,
{'id': 272, 'name': 'Punching bag'}  ,
{'id': 273, 'name': 'Common fig'}  ,
{'id': 274, 'name': 'Cocktail shaker'}  ,
{'id': 275, 'name': 'Jaguar (Animal)'}  ,
{'id': 276, 'name': 'Golf ball'}  ,
{'id': 277, 'name': 'Fashion accessory'}  ,
{'id': 278, 'name': 'Alarm clock'}  ,
{'id': 279, 'name': 'Filing cabinet'}  ,
{'id': 280, 'name': 'Artichoke'}  ,
{'id': 281, 'name': 'Table'}  ,
{'id': 282, 'name': 'Tableware'}  ,
{'id': 283, 'name': 'Kangaroo'}  ,
{'id': 284, 'name': 'Koala'}  ,
{'id': 285, 'name': 'Knife'}  ,
{'id': 286, 'name': 'Bottle'}  ,
{'id': 287, 'name': 'Bottle opener'}  ,
{'id': 288, 'name': 'Lynx'}  ,
{'id': 289, 'name': 'Lavender (Plant)'}  ,
{'id': 290, 'name': 'Lighthouse'}  ,
{'id': 291, 'name': 'Dumbbell'}  ,
{'id': 292, 'name': 'Human head'}  ,
{'id': 293, 'name': 'Bowl'}  ,
{'id': 294, 'name': 'Humidifier'}  ,
{'id': 295, 'name': 'Porch'}  ,
{'id': 296, 'name': 'Lizard'}  ,
{'id': 297, 'name': 'Billiard table'}  ,
{'id': 298, 'name': 'Mammal'}  ,
{'id': 299, 'name': 'Mouse'}  ,
{'id': 300, 'name': 'Motorcycle'}  ,
{'id': 301, 'name': 'Musical instrument'}  ,
{'id': 302, 'name': 'Swim cap'}  ,
{'id': 303, 'name': 'Frying pan'}  ,
{'id': 304, 'name': 'Snowplow'}  ,
{'id': 305, 'name': 'Bathroom cabinet'}  ,
{'id': 306, 'name': 'Missile'}  ,
{'id': 307, 'name': 'Bust'}  ,
{'id': 308, 'name': 'Man'}  ,
{'id': 309, 'name': 'Waffle iron'}  ,
{'id': 310, 'name': 'Milk'}  ,
{'id': 311, 'name': 'Ring binder'}  ,
{'id': 312, 'name': 'Plate'}  ,
{'id': 313, 'name': 'Mobile phone'}  ,
{'id': 314, 'name': 'Baked goods'}  ,
{'id': 315, 'name': 'Mushroom'}  ,
{'id': 316, 'name': 'Crutch'}  ,
{'id': 317, 'name': 'Pitcher (Container)'}  ,
{'id': 318, 'name': 'Mirror'}  ,
{'id': 319, 'name': 'Personal flotation device'}  ,
{'id': 320, 'name': 'Table tennis racket'}  ,
{'id': 321, 'name': 'Pencil case'}  ,
{'id': 322, 'name': 'Musical keyboard'}  ,
{'id': 323, 'name': 'Scoreboard'}  ,
{'id': 324, 'name': 'Briefcase'}  ,
{'id': 325, 'name': 'Kitchen knife'}  ,
{'id': 326, 'name': 'Nail (Construction)'}  ,
{'id': 327, 'name': 'Tennis ball'}  ,
{'id': 328, 'name': 'Plastic bag'}  ,
{'id': 329, 'name': 'Oboe'}  ,
{'id': 330, 'name': 'Chest of drawers'}  ,
{'id': 331, 'name': 'Ostrich'}  ,
{'id': 332, 'name': 'Piano'}  ,
{'id': 333, 'name': 'Girl'}  ,
{'id': 334, 'name': 'Plant'}  ,
{'id': 335, 'name': 'Potato'}  ,
{'id': 336, 'name': 'Hair spray'}  ,
{'id': 337, 'name': 'Sports equipment'}  ,
{'id': 338, 'name': 'Pasta'}  ,
{'id': 339, 'name': 'Penguin'}  ,
{'id': 340, 'name': 'Pumpkin'}  ,
{'id': 341, 'name': 'Pear'}  ,
{'id': 342, 'name': 'Infant bed'}  ,
{'id': 343, 'name': 'Polar bear'}  ,
{'id': 344, 'name': 'Mixer'}  ,
{'id': 345, 'name': 'Cupboard'}  ,
{'id': 346, 'name': 'Jacuzzi'}  ,
{'id': 347, 'name': 'Pizza'}  ,
{'id': 348, 'name': 'Digital clock'}  ,
{'id': 349, 'name': 'Pig'}  ,
{'id': 350, 'name': 'Reptile'}  ,
{'id': 351, 'name': 'Rifle'}  ,
{'id': 352, 'name': 'Lipstick'}  ,
{'id': 353, 'name': 'Skateboard'}  ,
{'id': 354, 'name': 'Raven'}  ,
{'id': 355, 'name': 'High heels'}  ,
{'id': 356, 'name': 'Red panda'}  ,
{'id': 357, 'name': 'Rose'}  ,
{'id': 358, 'name': 'Rabbit'}  ,
{'id': 359, 'name': 'Sculpture'}  ,
{'id': 360, 'name': 'Saxophone'}  ,
{'id': 361, 'name': 'Shotgun'}  ,
{'id': 362, 'name': 'Seafood'}  ,
{'id': 363, 'name': 'Submarine sandwich'}  ,
{'id': 364, 'name': 'Snowboard'}  ,
{'id': 365, 'name': 'Sword'}  ,
{'id': 366, 'name': 'Picture frame'}  ,
{'id': 367, 'name': 'Sushi'}  ,
{'id': 368, 'name': 'Loveseat'}  ,
{'id': 369, 'name': 'Ski'}  ,
{'id': 370, 'name': 'Squirrel'}  ,
{'id': 371, 'name': 'Tripod'}  ,
{'id': 372, 'name': 'Stethoscope'}  ,
{'id': 373, 'name': 'Submarine'}  ,
{'id': 374, 'name': 'Scorpion'}  ,
{'id': 375, 'name': 'Segway'}  ,
{'id': 376, 'name': 'Training bench'}  ,
{'id': 377, 'name': 'Snake'}  ,
{'id': 378, 'name': 'Coffee table'}  ,
{'id': 379, 'name': 'Skyscraper'}  ,
{'id': 380, 'name': 'Sheep'}  ,
{'id': 381, 'name': 'Television'}  ,
{'id': 382, 'name': 'Trombone'}  ,
{'id': 383, 'name': 'Tea'}  ,
{'id': 384, 'name': 'Tank'}  ,
{'id': 385, 'name': 'Taco'}  ,
{'id': 386, 'name': 'Telephone'}  ,
{'id': 387, 'name': 'Torch'}  ,
{'id': 388, 'name': 'Tiger'}  ,
{'id': 389, 'name': 'Strawberry'}  ,
{'id': 390, 'name': 'Trumpet'}  ,
{'id': 391, 'name': 'Tree'}  ,
{'id': 392, 'name': 'Tomato'}  ,
{'id': 393, 'name': 'Train'}  ,
{'id': 394, 'name': 'Tool'}  ,
{'id': 395, 'name': 'Picnic basket'}  ,
{'id': 396, 'name': 'Cooking spray'}  ,
{'id': 397, 'name': 'Trousers'}  ,
{'id': 398, 'name': 'Bowling equipment'}  ,
{'id': 399, 'name': 'Football helmet'}  ,
{'id': 400, 'name': 'Truck'}  ,
{'id': 401, 'name': 'Measuring cup'}  ,
{'id': 402, 'name': 'Coffeemaker'}  ,
{'id': 403, 'name': 'Violin'}  ,
{'id': 404, 'name': 'Vehicle'}  ,
{'id': 405, 'name': 'Handbag'}  ,
{'id': 406, 'name': 'Paper cutter'}  ,
{'id': 407, 'name': 'Wine'}  ,
{'id': 408, 'name': 'Weapon'}  ,
{'id': 409, 'name': 'Wheel'}  ,
{'id': 410, 'name': 'Worm'}  ,
{'id': 411, 'name': 'Wok'}  ,
{'id': 412, 'name': 'Whale'}  ,
{'id': 413, 'name': 'Zebra'}  ,
{'id': 414, 'name': 'Auto part'}  ,
{'id': 415, 'name': 'Jug'}  ,
{'id': 416, 'name': 'Pizza cutter'}  ,
{'id': 417, 'name': 'Cream'}  ,
{'id': 418, 'name': 'Monkey'}  ,
{'id': 419, 'name': 'Lion'}  ,
{'id': 420, 'name': 'Bread'}  ,
{'id': 421, 'name': 'Platter'}  ,
{'id': 422, 'name': 'Chicken'}  ,
{'id': 423, 'name': 'Eagle'}  ,
{'id': 424, 'name': 'Helicopter'}  ,
{'id': 425, 'name': 'Owl'}  ,
{'id': 426, 'name': 'Duck'}  ,
{'id': 427, 'name': 'Turtle'}  ,
{'id': 428, 'name': 'Hippopotamus'}  ,
{'id': 429, 'name': 'Crocodile'}  ,
{'id': 430, 'name': 'Toilet'}  ,
{'id': 431, 'name': 'Toilet paper'}  ,
{'id': 432, 'name': 'Squid'}  ,
{'id': 433, 'name': 'Clothing'}  ,
{'id': 434, 'name': 'Footwear'}  ,
{'id': 435, 'name': 'Lemon'}  ,
{'id': 436, 'name': 'Spider'}  ,
{'id': 437, 'name': 'Deer'}  ,
{'id': 438, 'name': 'Frog'}  ,
{'id': 439, 'name': 'Banana'}  ,
{'id': 440, 'name': 'Rocket'}  ,
{'id': 441, 'name': 'Wine glass'}  ,
{'id': 442, 'name': 'Countertop'}  ,
{'id': 443, 'name': 'Tablet computer'}  ,
{'id': 444, 'name': 'Waste container'}  ,
{'id': 445, 'name': 'Swimming pool'}  ,
{'id': 446, 'name': 'Dog'}  ,
{'id': 447, 'name': 'Book'}  ,
{'id': 448, 'name': 'Elephant'}  ,
{'id': 449, 'name': 'Shark'}  ,
{'id': 450, 'name': 'Candle'}  ,
{'id': 451, 'name': 'Leopard'}  ,
{'id': 452, 'name': 'Axe'}  ,
{'id': 453, 'name': 'Hand dryer'}  ,
{'id': 454, 'name': 'Soap dispenser'}  ,
{'id': 455, 'name': 'Porcupine'}  ,
{'id': 456, 'name': 'Flower'}  ,
{'id': 457, 'name': 'Canary'}  ,
{'id': 458, 'name': 'Cheetah'}  ,
{'id': 459, 'name': 'Palm tree'}  ,
{'id': 460, 'name': 'Hamburger'}  ,
{'id': 461, 'name': 'Maple'}  ,
{'id': 462, 'name': 'Building'}  ,
{'id': 463, 'name': 'Fish'}  ,
{'id': 464, 'name': 'Lobster'}  ,
{'id': 465, 'name': 'Garden Asparagus'}  ,
{'id': 466, 'name': 'Furniture'}  ,
{'id': 467, 'name': 'Hedgehog'}  ,
{'id': 468, 'name': 'Airplane'}  ,
{'id': 469, 'name': 'Spoon'}  ,
{'id': 470, 'name': 'Otter'}  ,
{'id': 471, 'name': 'Bull'}  ,
{'id': 472, 'name': 'Oyster'}  ,
{'id': 473, 'name': 'Horizontal bar'}  ,
{'id': 474, 'name': 'Convenience store'}  ,
{'id': 475, 'name': 'Bomb'}  ,
{'id': 476, 'name': 'Bench'}  ,
{'id': 477, 'name': 'Ice cream'}  ,
{'id': 478, 'name': 'Caterpillar'}  ,
{'id': 479, 'name': 'Butterfly'}  ,
{'id': 480, 'name': 'Parachute'}  ,
{'id': 481, 'name': 'Orange'}  ,
{'id': 482, 'name': 'Antelope'}  ,
{'id': 483, 'name': 'Beaker'}  ,
{'id': 484, 'name': 'Moths and butterflies'}  ,
{'id': 485, 'name': 'Window'}  ,
{'id': 486, 'name': 'Closet'}  ,
{'id': 487, 'name': 'Castle'}  ,
{'id': 488, 'name': 'Jellyfish'}  ,
{'id': 489, 'name': 'Goose'}  ,
{'id': 490, 'name': 'Mule'}  ,
{'id': 491, 'name': 'Swan'}  ,
{'id': 492, 'name': 'Peach'}  ,
{'id': 493, 'name': 'Coconut'}  ,
{'id': 494, 'name': 'Seat belt'}  ,
{'id': 495, 'name': 'Raccoon'}  ,
{'id': 496, 'name': 'Chisel'}  ,
{'id': 497, 'name': 'Fork'}  ,
{'id': 498, 'name': 'Lamp'}  ,
{'id': 499, 'name': 'Camera'}  ,
{'id': 500, 'name': 'Squash (Plant)'}  ,
{'id': 501, 'name': 'Racket'}  ,
{'id': 502, 'name': 'Human face'}  ,
{'id': 503, 'name': 'Human arm'}  ,
{'id': 504, 'name': 'Vegetable'}  ,
{'id': 505, 'name': 'Diaper'}  ,
{'id': 506, 'name': 'Unicycle'}  ,
{'id': 507, 'name': 'Falcon'}  ,
{'id': 508, 'name': 'Chime'}  ,
{'id': 509, 'name': 'Snail'}  ,
{'id': 510, 'name': 'Shellfish'}  ,
{'id': 511, 'name': 'Cabbage'}  ,
{'id': 512, 'name': 'Carrot'}  ,
{'id': 513, 'name': 'Mango'}  ,
{'id': 514, 'name': 'Jeans'}  ,
{'id': 515, 'name': 'Flowerpot'}  ,
{'id': 516, 'name': 'Pineapple'}  ,
{'id': 517, 'name': 'Drawer'}  ,
{'id': 518, 'name': 'Stool'}  ,
{'id': 519, 'name': 'Envelope'}  ,
{'id': 520, 'name': 'Cake'}  ,
{'id': 521, 'name': 'Dragonfly'}  ,
{'id': 522, 'name': 'Common sunflower'}  ,
{'id': 523, 'name': 'Microwave oven'}  ,
{'id': 524, 'name': 'Honeycomb'}  ,
{'id': 525, 'name': 'Marine mammal'}  ,
{'id': 526, 'name': 'Sea lion'}  ,
{'id': 527, 'name': 'Ladybug'}  ,
{'id': 528, 'name': 'Shelf'}  ,
{'id': 529, 'name': 'Watch'}  ,
{'id': 530, 'name': 'Candy'}  ,
{'id': 531, 'name': 'Salad'}  ,
{'id': 532, 'name': 'Parrot'}  ,
{'id': 533, 'name': 'Handgun'}  ,
{'id': 534, 'name': 'Sparrow'}  ,
{'id': 535, 'name': 'Van'}  ,
{'id': 536, 'name': 'Grinder'}  ,
{'id': 537, 'name': 'Spice rack'}  ,
{'id': 538, 'name': 'Light bulb'}  ,
{'id': 539, 'name': 'Corded phone'}  ,
{'id': 540, 'name': 'Sports uniform'}  ,
{'id': 541, 'name': 'Tennis racket'}  ,
{'id': 542, 'name': 'Wall clock'}  ,
{'id': 543, 'name': 'Serving tray'}  ,
{'id': 544, 'name': 'Kitchen & dining room table'}  ,
{'id': 545, 'name': 'Dog bed'}  ,
{'id': 546, 'name': 'Cake stand'}  ,
{'id': 547, 'name': 'Cat furniture'}  ,
{'id': 548, 'name': 'Bathroom accessory'}  ,
{'id': 549, 'name': 'Facial tissue holder'}  ,
{'id': 550, 'name': 'Pressure cooker'}  ,
{'id': 551, 'name': 'Kitchen appliance'}  ,
{'id': 552, 'name': 'Tire'}  ,
{'id': 553, 'name': 'Ruler'}  ,
{'id': 554, 'name': 'Luggage and bags'}  ,
{'id': 555, 'name': 'Microphone'}  ,
{'id': 556, 'name': 'Broccoli'}  ,
{'id': 557, 'name': 'Umbrella'}  ,
{'id': 558, 'name': 'Pastry'}  ,
{'id': 559, 'name': 'Grapefruit'}  ,
{'id': 560, 'name': 'Band-aid'}  ,
{'id': 561, 'name': 'Animal'}  ,
{'id': 562, 'name': 'Bell pepper'}  ,
{'id': 563, 'name': 'Turkey'}  ,
{'id': 564, 'name': 'Lily'}  ,
{'id': 565, 'name': 'Pomegranate'}  ,
{'id': 566, 'name': 'Doughnut'}  ,
{'id': 567, 'name': 'Glasses'}  ,
{'id': 568, 'name': 'Human nose'}  ,
{'id': 569, 'name': 'Pen'}  ,
{'id': 570, 'name': 'Ant'}  ,
{'id': 571, 'name': 'Car'}  ,
{'id': 572, 'name': 'Aircraft'}  ,
{'id': 573, 'name': 'Human hand'}  ,
{'id': 574, 'name': 'Skunk'}  ,
{'id': 575, 'name': 'Teddy bear'}  ,
{'id': 576, 'name': 'Watermelon'}  ,
{'id': 577, 'name': 'Cantaloupe'}  ,
{'id': 578, 'name': 'Dishwasher'}  ,
{'id': 579, 'name': 'Flute'}  ,
{'id': 580, 'name': 'Balance beam'}  ,
{'id': 581, 'name': 'Sandwich'}  ,
{'id': 582, 'name': 'Shrimp'}  ,
{'id': 583, 'name': 'Sewing machine'}  ,
{'id': 584, 'name': 'Binoculars'}  ,
{'id': 585, 'name': 'Rays and skates'}  ,
{'id': 586, 'name': 'Ipod'}  ,
{'id': 587, 'name': 'Accordion'}  ,
{'id': 588, 'name': 'Willow'}  ,
{'id': 589, 'name': 'Crab'}  ,
{'id': 590, 'name': 'Crown'}  ,
{'id': 591, 'name': 'Seahorse'}  ,
{'id': 592, 'name': 'Perfume'}  ,
{'id': 593, 'name': 'Alpaca'}  ,
{'id': 594, 'name': 'Taxi'}  ,
{'id': 595, 'name': 'Canoe'}  ,
{'id': 596, 'name': 'Remote control'}  ,
{'id': 597, 'name': 'Wheelchair'}  ,
{'id': 598, 'name': 'Rugby ball'}  ,
{'id': 599, 'name': 'Armadillo'}  ,
{'id': 600, 'name': 'Maracas'}  ,
{'id': 601, 'name': 'Helmet'}  ,
]

def _get_builtin_metadata_openimage():
    id_to_name = {x['id']: x['name'] for x in categories}
    thing_dataset_id_to_contiguous_id = {i + 1: i for i in range(601)}
    thing_classes = [id_to_name[k] for k in sorted(id_to_name)]
    return {
        "thing_dataset_id_to_contiguous_id": thing_dataset_id_to_contiguous_id,
        "thing_classes": thing_classes}



# for key, (image_root, json_file) in _PREDEFINED_SPLITS_OBJECTS365.items():
#     register_coco_instances(
#         key,
#         _get_builtin_metadata(),
#         os.path.join("datasets", json_file) if "://" not in json_file else json_file,
#         os.path.join("datasets", image_root),
#         dataset_name_in_dict="obj365v2"
#     )
